Trends
Prompts gaining and losing the most visibility over the last 7 days.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidengines?stringComma-separated engine slugs
length <= 500types?stringComma-separated prompt types
length <= 200intents?stringComma-separated prompt intents
length <= 200Risers and decliners with their 7, 14, 30 and 90 day changes
application/jsonrisers*array<>Biggest 7 day gains first
decliners*array<>Biggest 7 day drops first
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/trends/movers'{ "risers": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "type": "string", "intent": "string", "changes": { "d7": 0, "d14": 0, "d30": 0, "d90": 0 } } ], "decliners": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "type": "string", "intent": "string", "changes": { "d7": 0, "d14": 0, "d30": 0, "d90": 0 } } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/trends/movers'{
"risers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"text": "string",
"type": "string",
"intent": "string",
"changes": {
"d7": 0,
"d14": 0,
"d30": 0,
"d90": 0
}
}
],
"decliners": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"text": "string",
"type": "string",
"intent": "string",
"changes": {
"d7": 0,
"d14": 0,
"d30": 0,
"d90": 0
}
}
]
}